-- name: Small Breakable Cars
-- description: Small Breakable Cars\nBy \\#007f7f\\Quotation\\#ffffff\\\n\nThis mod replaces all small breakable boxes with Car from Garn47.\n\n[Joke Mod]

local E_MODEL_GARN47_CAR = smlua_model_util_get_id("garn47_car_geo")

function bhv_custom_garn47_car_init(obj)
    obj_set_model_extended(obj, E_MODEL_GARN47_CAR)
    obj.oTimer = math.random(0,120)
end

function bhv_custom_garn47_car_loop(obj)
    local car_pos = { x = obj.oPosX, y = obj.oPosY, z = obj.oPosZ }
    if obj.activeFlags & ACTIVE_FLAG_UNK9 == 0 then
        if obj.oBreakableBoxSmallFramesSinceReleased == 0 then
            local screamSample = audio_sample_load("car_death.ogg")
            audio_sample_play(screamSample, car_pos, 0.5)
            obj.oFaceAngleYaw = gMarioStates[0].faceAngle.y
        end
    elseif obj.oTimer == 120 then
        local speakSample = audio_sample_load("car_speak_"..math.random(1,20)..".ogg")
        audio_sample_play(speakSample, car_pos, 1)
        obj.oTimer = 0
    end
end

id_bhvGarn47Car = hook_behavior(id_bhvBreakableBoxSmall, OBJ_LIST_PUSHABLE, false, bhv_custom_garn47_car_init, bhv_custom_garn47_car_loop)